QuantLib: Gaussian1dSmileSection Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Gaussian1dSmileSection Class Reference

`#include <ql/termstructures/volatility/gaussian1dsmilesection.hpp>`

Inheritance diagram for Gaussian1dSmileSection:
[legend]

## Public Member Functions
| Gaussian1dSmileSection (const Date &fixingDate, const boost::shared_ptr< SwapIndex > &swapIndex, const boost::shared_ptr< Gaussian1dModel > &model, const DayCounter &dc, const boost::shared_ptr< Gaussian1dSwaptionEngine > swaptionEngine=boost::shared_ptr< Gaussian1dSwaptionEngine >())
| Gaussian1dSmileSection (const Date &fixingDate, const boost::shared_ptr< IborIndex > &swapIndex, const boost::shared_ptr< Gaussian1dModel > &model, const DayCounter &dc, const boost::shared_ptr< Gaussian1dCapFloorEngine > capEngine=boost::shared_ptr< Gaussian1dCapFloorEngine >())
Real | minStrike () const
Real | maxStrike () const
Real | atmLevel () const
Real | optionPrice (Rate strike, Option::Type=Option::Call, Real discount=1.0) const
Public Member Functions inherited from SmileSection
| SmileSection (const Date &d, const DayCounter &dc=DayCounter(), const Date &referenceDate=Date(), const VolatilityType type=ShiftedLognormal, const Rate shift=0.0)
| SmileSection (Time exerciseTime, const DayCounter &dc=DayCounter(), const VolatilityType type=ShiftedLognormal, const Rate shift=0.0)
virtual void | update ()
Real | variance (Rate strike) const
Volatility | volatility (Rate strike) const
virtual const Date & | exerciseDate () const
virtual const VolatilityType | volatilityType () const
virtual const Rate | shift () const
virtual const Date & | referenceDate () const
virtual Time | exerciseTime () const
virtual const DayCounter & | dayCounter () const
virtual Real | digitalOptionPrice (Rate strike, Option::Type type=Option::Call, Real discount=1.0, Real gap=1.0e-5) const
virtual Real | vega (Rate strike, Real discount=1.0) const
virtual Real | density (Rate strike, Real discount=1.0, Real gap=1.0E-4) const
Volatility | volatility (Rate strike, VolatilityType type, Real shift=0.0) const
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()

## Protected Member Functions
Real | volatilityImpl (Rate strike) const
Protected Member Functions inherited from SmileSection
virtual void | initializeExerciseTime () const
virtual Real | varianceImpl (Rate strike) const

## Detailed Description

smile section based on a gaussian 1d model instance if curves are attached to the swap or ibor index, these are used to adjust the model's yield term structure, if not the model's yield term structure is used directly